feimosi/baguetteBox.js 软件分析报告

基础信息

项目名称:feimosi/baguetteBox.js

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1717762695502807040/1717762695922237440

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-15348 CVE-2018-19797 中危
LibSass 拒绝服务漏洞 UAF MPS-2018-15372 CVE-2018-19827 高危
LibSass 资源管理错误漏洞 拒绝服务 MPS-2018-15395 CVE-2018-19837 中危
LibSass 资源管理错误漏洞 拒绝服务 MPS-2018-15396 CVE-2018-19838 中危
LibSass 拒绝服务漏洞 越界读取 MPS-2018-15397 CVE-2018-19839 中危
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-15962 CVE-2018-20190 中危
LibSass 拒绝服务漏洞 UAF MPS-2018-6523 CVE-2018-11499 严重
LibSass 缓冲区错误漏洞 越界读取 MPS-2018-6914 CVE-2018-11693 高危
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-6915 CVE-2018-11694 高危
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-6917 CVE-2018-11696 高危
LibSass 拒绝服务漏洞 越界读取 MPS-2018-6918 CVE-2018-11697 高危
LibSass 拒绝服务漏洞 越界读取 MPS-2018-6919 CVE-2018-11698 高危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0502 CVE-2019-6283 中危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0503 CVE-2019-6284 中危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0505 CVE-2019-6286 中危
mixin-deep 参数注入漏洞 参数注入或修改 MPS-2019-10507 CVE-2019-10746 严重
set-value 存在拒绝服务漏洞 拒绝服务 MPS-2019-10508 CVE-2019-10747 中危
eslint-utils 代码注入 MPS-2019-10659 CVE-2019-15657 严重
lodash 存在拒绝服务漏洞 拒绝服务 MPS-2019-1228 CVE-2018-16487 中危
LibSass DOS漏洞 未经控制的递归 MPS-2019-14246 CVE-2019-18797 中危
LibSass 越界读取 MPS-2019-14247 CVE-2019-18798 中危
LibSass 程序崩溃漏洞 空指针取消引用 MPS-2019-14248 CVE-2019-18799 中危
kind-of 存在注入漏洞 将资源暴露给错误范围 MPS-2019-17164 CVE-2019-20149 高危
LibSass 资源管理错误漏洞 未经控制的递归 MPS-2019-4291 CVE-2018-20821 中危
node-sass 堆栈溢出漏洞 未经控制的递归 MPS-2019-4292 CVE-2018-20822 中危
node-tar [, 2.2.2)、[3.0.0, 4.4.2) 任意文件覆盖漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2019-4705 CVE-2018-20834 高危
fstream 在文件访问前对链接解析不恰当(链接跟随) MPS-2019-7423 CVE-2019-13173 高危
lodash 原型污染漏洞 拒绝服务 MPS-2019-8636 CVE-2019-10744 严重
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
ua-parser-js 拒绝服务 MPS-2020-13044 CVE-2020-7733 高危
object-path 安全漏洞 MAID MPS-2020-14597 CVE-2020-15256 严重
lodash 原型污染 MPS-2020-15679 CVE-2020-8203 高危
Axios 服务器端请求伪造漏洞 SSRF MPS-2020-16365 CVE-2020-28168 中危
ua-parser-js DOS漏洞 拒绝服务 MPS-2020-17428 CVE-2020-7793 高危
Yargs Y18n 输入原型污染漏洞 动态确定对象属性修改的控制不恰当 MPS-2020-17543 CVE-2020-7774 严重
Ini 拒绝服务 MPS-2020-17544 CVE-2020-7788 高危
minimist 原型污染漏洞 原型污染 MPS-2020-3516 CVE-2020-7598 中危
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0191 CVE-2020-36048 高危
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0192 CVE-2020-36049 高危
Sass Node-sass 信任管理问题漏洞 证书验证不恰当 MPS-2021-0364 CVE-2020-24025 中危
Socketio Socket.io CORS漏洞 源验证错误 MPS-2021-0652 CVE-2020-28481 中危
object-path 原型污染漏洞 使用不兼容类型访问资源(类型混淆) MPS-2021-18322 CVE-2021-23434 高危
set-value 原型污染漏洞 使用不兼容类型访问资源(类型混淆) MPS-2021-19479 CVE-2021-23440 严重
requests 代码注入漏洞 代码注入 MPS-2021-2418 CVE-2020-28502 高危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28486 CVE-2021-37701 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28488 CVE-2021-37712 高危
node-tar 路径遍历漏洞 路径遍历 MPS-2021-28489 CVE-2021-37713 高危
Axios 拒绝服务漏洞 拒绝服务 MPS-2021-30688 CVE-2021-3749 高危
ua-parser-js 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3199 CVE-2021-27292 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
org.webjars.bower:underscore 代码注入漏洞 代码注入 MPS-2021-3658 CVE-2021-23358 高危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
Andrey Sitnik postcss 拒绝服务漏洞 拒绝服务 MPS-2021-4549 CVE-2021-23368 中危
Dan DeFelippi node-XMLHttpRequest 信任管理问题漏洞 证书验证不恰当 MPS-2021-5338 CVE-2021-31597 严重
postcss 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-5409 CVE-2021-23382 中危
browserslist 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-5473 CVE-2021-23364 中危
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
ws 存在拒绝服务漏洞 拒绝服务 MPS-2021-7109 CVE-2021-32640 中危
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
clean-css 拒绝服务 MPS-2022-12865 低危
acorn 存在拒绝服务漏洞 拒绝服务 MPS-2022-13525 高危
http-proxy 拒绝服务 MPS-2022-13767 中危
js-yaml 存在拒绝服务漏洞 拒绝服务 MPS-2022-13820 中危
js-yaml 代码注入 MPS-2022-13822 高危
lodash 拒绝服务 MPS-2022-13841 高危
lodash 拒绝服务 MPS-2022-13842 高危
node-sass 存在拒绝服务漏洞 拒绝服务 MPS-2022-13927 中危
uglify-js ReDoS MPS-2022-14112 中危
uuid 使用不充分的随机数 MPS-2022-15362 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
scss-tokenizer 安全漏洞 ReDoS MPS-2022-5119 CVE-2022-25758 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
Socketio Engine.IO拒绝服务漏洞 未捕获的异常 MPS-2022-58577 CVE-2022-41940 中危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
xmlhttprequest-ssl 1.5.5 1.6.2 间接依赖 强烈建议修复
underscore 1.9.1 1.12.1 间接依赖 建议修复
minimist 1.2.0 1.2.6 间接依赖 建议修复
axios 0.19.0 0.21.3 间接依赖 建议修复
json-schema 0.2.3 0.4.0 间接依赖 建议修复
object-path 0.9.2 0.11.8 间接依赖 建议修复
qs 6.2.3 6.2.4 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
ua-parser-js 0.7.17 0.7.24 间接依赖 建议修复
scss-tokenizer 0.2.3 0.4.3 间接依赖 建议修复
acorn 6.0.4 6.4.1 间接依赖 建议修复
y18n 3.2.1 3.2.2 间接依赖 建议修复
tar 2.2.1 4.4.18 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
path-parse 1.0.6 1.0.7 间接依赖 建议修复
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
js-yaml 3.12.0 3.13.1 间接依赖 建议修复
eslint-utils 1.3.1 1.4.1 间接依赖 建议修复
fstream 1.0.11 1.0.12 间接依赖 建议修复
node-sass 4.10.0 间接依赖 建议修复
set-value 2.0.0 2.0.1 间接依赖 建议修复
engine.io 3.2.1 6.4.2 间接依赖 建议修复
ini 1.3.5 1.3.6 间接依赖 建议修复
socket.io-parser 3.3.0 3.3.2 间接依赖 建议修复
lodash 4.17.11 4.17.21 间接依赖 建议修复
trim-newlines 1.0.0 3.0.1 间接依赖 建议修复
tough-cookie 2.4.3 4.1.3 间接依赖 建议修复
mixin-deep 1.3.1 1.3.2 间接依赖 建议修复
clean-css 3.4.28 4.1.11 间接依赖 可选修复
socket.io 2.1.1 2.4.0 间接依赖 可选修复
http-proxy 1.15.2 1.18.1 间接依赖 可选修复
lodash.template 3.6.2 间接依赖 可选修复
hosted-git-info 2.7.1 2.8.9 间接依赖 可选修复
uglify-js 3.8.1 3.14.3 间接依赖 可选修复
postcss 7.0.27 8.4.31 间接依赖 可选修复
lodash.mergewith 4.6.1 4.6.2 间接依赖 可选修复
browserslist 4.11.1 4.16.5 间接依赖 可选修复
ajv 6.5.5 6.12.3 间接依赖 可选修复
uuid 1.4.2 2.0.2 间接依赖 可选修复
semver 5.6.0 7.5.2 间接依赖 可选修复
kind-of 6.0.2 6.0.3 间接依赖 可选修复
ws 6.1.4 6.2.2 间接依赖 可选修复
request 2.88.0 间接依赖 可选修复
follow-redirects 1.5.10 1.14.8 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 473
ISC 59
BSD-3-Clause 10
BSD-2-Clause 9
Apache-2.0 17
Unlicense 1
BSD 3
Proprietary 1
Public Domain 1
CC-BY-4.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
string_decoder 1.1.1 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
pkg-up 2.0.0 间接依赖 npm
tar 2.2.1 间接依赖 npm
lodash.isarguments 3.1.0 间接依赖 npm
user-home 1.1.1 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
follow-redirects 1.5.10 间接依赖 npm
eslint-scope 4.0.0 间接依赖 npm
gulp-sass 4.0.2 直接依赖 npm
math-random 1.0.1 间接依赖 npm
ms 2.0.0 间接依赖 npm
nan 2.11.1 间接依赖 npm
bindings 1.5.0 间接依赖 npm
gulp-bump 3.1.3 直接依赖 npm
circular-json 0.3.3 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
eventemitter3 1.2.0 间接依赖 npm
browser-sync 2.26.7 直接依赖 npm
requires-port 1.0.0 间接依赖 npm
lodash._reinterpolate 3.0.0 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
gulp-eslint 5.0.0 直接依赖 npm
raw-body 2.4.1 间接依赖 npm
extglob 2.0.4 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
ajv 6.5.5 间接依赖 npm
lodash._escapehtmlchar 2.4.1 直接依赖 npm
lodash.values 2.4.1 直接依赖 npm
is-dotfile 1.0.3 间接依赖 npm
duplexify 3.6.1 间接依赖 npm
deprecated 0.0.1 间接依赖 npm
object-assign 3.0.0 间接依赖 npm
array-differ 1.0.0 间接依赖 npm
y18n 3.2.1 间接依赖 npm
strip-bom-stream 1.0.0 直接依赖 npm
array-uniq 1.0.3 间接依赖 npm
block-stream 0.0.9 间接依赖 npm
psl 1.1.29 间接依赖 npm
engine.io-parser 2.2.0 间接依赖 npm
async-foreach 0.1.3 间接依赖 npm
esutils 2.0.2 间接依赖 npm
global-modules 1.0.0 间接依赖 npm
orchestrator 0.3.8 间接依赖 npm
parseqs 0.0.5 间接依赖 npm
after 0.8.2 间接依赖 npm
ansi-escapes 3.1.0 间接依赖 npm
eslint-utils 1.3.1 间接依赖 npm
rx 4.1.0 间接依赖 npm
glob-watcher 0.0.6 间接依赖 npm
serve-static 1.13.2 间接依赖 npm
is-posix-bracket 0.1.1 直接依赖 npm
ws 6.1.4 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
lodash._basetostring 3.0.1 间接依赖 npm
sshpk 1.15.2 间接依赖 npm
p-limit 1.3.0 间接依赖 npm
through2 2.0.5 间接依赖 npm
batch 0.6.1 间接依赖 npm
external-editor 3.0.3 间接依赖 npm
setprototypeof 1.1.1 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
gulp-rename 1.1.0 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
resp-modifier 6.0.2 间接依赖 npm
get-caller-file 1.0.3 间接依赖 npm
has-cors 1.1.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
os-locale 1.4.0 间接依赖 npm
async-limiter 1.0.1 间接依赖 npm
lodash.assign 4.2.0 间接依赖 npm
fast-json-stable-stringify 2.0.0 间接依赖 npm
callsite 1.0.0 间接依赖 npm
blob 0.0.5 间接依赖 npm
dateformat 2.2.0 间接依赖 npm
is-wsl 1.1.0 间接依赖 npm
object-path 0.9.2 间接依赖 npm
tempfile 0.1.3 间接依赖 npm
fancy-log 1.3.2 间接依赖 npm
component-inherit 0.0.3 间接依赖 npm
lodash._objecttypes 2.4.1 间接依赖 npm
axios 0.19.0 间接依赖 npm
clone 1.0.4 间接依赖 npm
pseudomap 1.0.2 直接依赖 npm
punycode 2.1.1 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
electron-to-chromium 1.3.391 间接依赖 npm
lodash.restparam 3.6.1 间接依赖 npm
gulp-rimraf 0.2.2 直接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
through2-filter 2.0.0 直接依赖 npm
escape-html 1.0.3 间接依赖 npm
@babel/highlight 7.0.0 间接依赖 npm
object.map 1.0.1 间接依赖 npm
for-own 0.1.5 间接依赖 npm
graceful-readlink 1.0.1 直接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
async 1.5.2 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
lodash._root 3.0.1 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
mime-db 1.37.0 间接依赖 npm
tslib 1.9.3 直接依赖 npm
chardet 0.7.0 间接依赖 npm
find-up 1.1.2 间接依赖 npm
locate-path 2.0.0 直接依赖 npm
pinkie 2.0.4 间接依赖 npm
unique-stream 1.0.0 间接依赖 npm
is-equal-shallow 0.1.3 间接依赖 npm
require-main-filename 1.0.1 间接依赖 npm
bs-recipes 1.3.4 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
sparkles 1.0.1 间接依赖 npm
uuid 1.4.2 间接依赖 npm
backo2 1.0.2 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
esquery 1.0.1 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
gulp-inject-version 1.0.1 直接依赖 npm
osenv 0.1.5 间接依赖 npm
nopt 3.0.6 间接依赖 npm
bytes 3.1.0 间接依赖 npm
table 5.1.0 间接依赖 npm
regex-cache 0.4.4 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
lodash.escape 3.2.0 间接依赖 npm
yallist 3.0.3 直接依赖 npm
resolve 1.8.1 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
statuses 1.3.1 间接依赖 npm
supports-color 2.0.0 间接依赖 npm
mitt 1.2.0 间接依赖 npm
object-visit 1.0.1 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
plugin-error 1.0.1 间接依赖 npm
concat-with-sourcemaps 1.1.0 间接依赖 npm
end-of-stream 0.1.5 间接依赖 npm
array-each 1.0.1 间接依赖 npm
is-valid-glob 0.3.0 直接依赖 npm
semver 5.6.0 间接依赖 npm
gulp-load-plugins 2.0.2 直接依赖 npm
has-values 1.0.0 间接依赖 npm
lodash._shimkeys 2.4.1 直接依赖 npm
path-root 0.1.1 间接依赖 npm
cli-cursor 2.1.0 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
lodash._reescape 3.0.0 间接依赖 npm
has-binary2 1.0.3 间接依赖 npm
gulp-autoprefixer 6.1.0 直接依赖 npm
has-value 1.0.0 间接依赖 npm
lcid 1.0.0 间接依赖 npm
stream-throttle 0.1.3 间接依赖 npm
find-index 0.1.1 间接依赖 npm
gaze 0.5.2 间接依赖 npm
acorn 6.0.4 间接依赖 npm
flat-cache 1.3.4 间接依赖 npm
micromatch 2.3.11 间接依赖 npm
lodash.templatesettings 3.1.1 间接依赖 npm
aws4 1.8.0 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
qs 6.2.3 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
mime 1.4.1 间接依赖 npm
slice-ansi 1.0.0 间接依赖 npm
globule 0.1.0 间接依赖 npm
base64id 1.0.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
glob-base 0.3.0 间接依赖 npm
convert-source-map 1.6.0 间接依赖 npm
tough-cookie 2.4.3 间接依赖 npm
lodash.isfinite 3.3.2 间接依赖 npm
callsites 0.2.0 间接依赖 npm
acorn-jsx 5.0.1 间接依赖 npm
easy-extender 2.3.4 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
gulp-uglify 3.0.2 直接依赖 npm
split-string 3.1.0 间接依赖 npm
base64-arraybuffer 0.1.5 间接依赖 npm
fined 1.1.0 间接依赖 npm
wrap-promise 1.0.1 间接依赖 npm
cli-width 2.2.0 间接依赖 npm
union-value 1.0.0 间接依赖 npm
ultron 1.1.1 直接依赖 npm
arr-diff 4.0.0 间接依赖 npm
rxjs 5.5.12 间接依赖 npm
parseuri 0.0.5 间接依赖 npm
pify 2.3.0 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
urix 0.1.0 间接依赖 npm
tildify 1.2.0 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
cookie 0.3.1 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
wide-align 1.1.3 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
vinyl-sourcemaps-apply 0.2.1 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
time-stamp 1.1.0 间接依赖 npm
make-iterator 1.0.1 间接依赖 npm
ansi-wrap 0.1.0 间接依赖 npm
gulp-util 3.0.8 间接依赖 npm
limiter 1.1.5 间接依赖 npm
ternary-stream 2.0.1 间接依赖 npm
set-value 2.0.0 间接依赖 npm
fstream 1.0.11 间接依赖 npm
autoprefixer 9.7.5 间接依赖 npm
mkdirp 0.5.1 间接依赖 npm
merge-stream 1.0.1 间接依赖 npm
eslint-visitor-keys 1.0.0 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
underscore 1.9.1 间接依赖 npm
glob-parent 3.1.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
color-convert 1.9.3 直接依赖 npm
connect-history-api-fallback 1.6.0 间接依赖 npm
json-stable-stringify 1.0.1 直接依赖 npm
gulp-cssmin 0.2.0 直接依赖 npm
engine.io 3.2.1 间接依赖 npm
graceful-fs 4.1.15 间接依赖 npm
pluralize 7.0.0 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
levn 0.3.0 间接依赖 npm
browser-sync-ui 2.26.4 间接依赖 npm
lazystream 1.0.0 直接依赖 npm
ansi-colors 1.1.0 间接依赖 npm
file-entry-cache 2.0.0 间接依赖 npm
isstream 0.1.2 间接依赖 npm
engine.io-client 3.4.0 间接依赖 npm
chalk 1.1.3 间接依赖 npm
parse-glob 3.0.4 间接依赖 npm
bs-snippet-injector 2.0.1 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
regexpp 2.0.1 间接依赖 npm
mixin-deep 1.3.1 间接依赖 npm
indexof 0.0.1 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
openurl 1.1.1 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
picomatch 2.2.2 直接依赖 npm
readdirp 2.2.1 间接依赖 npm
component-emitter 1.2.1 间接依赖 npm
is-number 3.0.0 间接依赖 npm
combined-stream 1.0.7 间接依赖 npm
opn 5.3.0 间接依赖 npm
getpass 0.1.7 间接依赖 npm
js-base64 2.4.9 间接依赖 npm
run-sequence 2.2.1 直接依赖 npm
lodash.mergewith 4.6.1 间接依赖 npm
type-check 0.3.2 间接依赖 npm
better-assert 1.0.2 间接依赖 npm
for-in 1.0.2 间接依赖 npm
depd 1.1.2 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
which 1.3.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
lodash._basevalues 3.0.0 间接依赖 npm
preserve 0.2.0 直接依赖 npm
multipipe 0.1.2 间接依赖 npm
camelcase 3.0.0 间接依赖 npm
tfunk 3.1.0 间接依赖 npm
universalify 0.1.2 间接依赖 npm
temp-write 0.1.1 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
lodash.template 3.6.2 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
is-primitive 2.0.0 间接依赖 npm
lodash._basecopy 3.0.1 间接依赖 npm
ignore 4.0.6 间接依赖 npm
async-each-series 0.1.1 间接依赖 npm
homedir-polyfill 1.0.1 间接依赖 npm
wrap-ansi 2.1.0 间接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
defaults 1.0.3 间接依赖 npm
gulp-match 1.0.3 间接依赖 npm
expand-range 1.8.2 直接依赖 npm
isexe 2.0.0 间接依赖 npm
glob2base 0.0.12 间接依赖 npm
lodash._isnative 2.4.1 直接依赖 npm
normalize-path 2.1.1 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
string-width 1.0.2 间接依赖 npm
get-value 2.0.6 间接依赖 npm
xmlhttprequest-ssl 1.5.5 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
socket.io-parser 3.3.0 间接依赖 npm
path-root-regex 0.1.2 间接依赖 npm
http-errors 1.7.3 间接依赖 npm
has-gulplog 0.1.0 间接依赖 npm
indent-string 2.1.0 间接依赖 npm
fsevents 1.2.12 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
asn1 0.2.4 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
to-absolute-glob 0.1.1 直接依赖 npm
path-type 1.1.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
ordered-read-streams 0.1.0 间接依赖 npm
archy 1.0.0 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
gulplog 1.0.0 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
vinyl 0.5.3 间接依赖 npm
lodash.defaults 2.4.1 直接依赖 npm
lodash._getnative 3.9.1 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
inflight 1.0.6 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
lodash.keys 3.1.2 间接依赖 npm
gulp-concat 2.6.1 间接依赖 npm
lodash.isobject 2.4.1 直接依赖 npm
browserslist 4.11.1 间接依赖 npm
require-uncached 1.0.3 间接依赖 npm
base 0.11.2 间接依赖 npm
color-name 1.1.3 间接依赖 npm
has-ansi 2.0.0 间接依赖 npm
node-gyp 3.8.0 间接依赖 npm
eazy-logger 3.0.2 间接依赖 npm
xtend 4.0.1 间接依赖 npm
doctrine 2.1.0 间接依赖 npm
js-yaml 3.12.0 间接依赖 npm
stream-consume 0.1.1 间接依赖 npm
once 1.3.3 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
gulp-usemin 0.3.30 直接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
plugin-log 0.1.0 间接依赖 npm
make-error 1.3.6 间接依赖 npm
write 0.2.1 间接依赖 npm
clone-buffer 1.0.0 直接依赖 npm
nice-try 1.0.5 间接依赖 npm
onetime 2.0.1 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
gift 0.6.1 间接依赖 npm
yargs-parser 4.2.1 间接依赖 npm
socket.io 2.1.1 间接依赖 npm
node-releases 1.1.53 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
gulp-gh-pages 0.5.4 直接依赖 npm
server-destroy 1.0.1 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
globals 11.9.0 间接依赖 npm
global-prefix 1.0.2 间接依赖 npm
inherits 2.0.3 间接依赖 npm
liftoff 2.5.0 间接依赖 npm
fork-stream 0.0.4 间接依赖 npm
binary-extensions 1.13.1 间接依赖 npm
connect 3.6.6 间接依赖 npm
isobject 3.0.1 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
jsonify 0.0.0 间接依赖 npm
invert-kv 1.0.0 间接依赖 npm
beeper 1.1.1 间接依赖 npm
minimist 1.2.0 间接依赖 npm
argparse 1.0.10 间接依赖 npm
lodash._reunescapedhtml 2.4.1 直接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
component-bind 1.0.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
load-json-file 1.1.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
true-case-path 1.0.3 间接依赖 npm
immutable 3.8.2 间接依赖 npm
define-property 2.0.2 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
sigmund 1.0.1 直接依赖 npm
fs.realpath 1.0.0 直接依赖 npm
vali-date 1.0.0 直接依赖 npm
asynckit 0.4.0 间接依赖 npm
destroy 1.0.4 间接依赖 npm
strip-indent 1.0.1 间接依赖 npm
findup-sync 2.0.0 间接依赖 npm
ini 1.3.5 间接依赖 npm
etag 1.8.1 间接依赖 npm
is-number-like 1.0.8 间接依赖 npm
lodash._reevaluate 3.0.0 间接依赖 npm
interpret 1.1.0 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
symbol-observable 1.0.1 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
fresh 0.5.2 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
ua-parser-js 0.7.17 间接依赖 npm
window-size 0.2.0 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
postcss-value-parser 4.0.3 间接依赖 npm
async-each 1.0.3 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
esprima 4.0.1 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
delegates 1.0.0 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
lodash.isequal 4.5.0 直接依赖 npm
browser-sync-client 2.26.6 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
atob 2.1.2 间接依赖 npm
bump-regex 3.1.1 间接依赖 npm
inquirer 6.2.0 间接依赖 npm
eslint 5.9.0 间接依赖 npm
stream-shift 1.0.0 间接依赖 npm
to-array 0.1.4 间接依赖 npm
portscanner 2.1.1 间接依赖 npm
stdout-stream 1.4.1 间接依赖 npm
restore-cursor 2.0.0 间接依赖 npm
duplexer2 0.0.2 间接依赖 npm
toidentifier 1.0.0 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
lodash._isiterateecall 3.0.9 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
es6-promise 2.3.0 间接依赖 npm
randomatic 3.1.1 直接依赖 npm
text-table 0.2.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
run-async 2.3.0 间接依赖 npm
is-resolvable 1.1.0 间接依赖 npm
sass-graph 2.2.4 间接依赖 npm
isarray 2.0.1 间接依赖 npm
ansi-gray 0.1.1 间接依赖 npm
replace-ext 0.0.1 间接依赖 npm
vinyl-fs 0.3.14 间接依赖 npm
read-pkg 1.1.0 间接依赖 npm
glob 4.5.3 间接依赖 npm
request 2.88.0 间接依赖 npm
gauge 2.7.4 间接依赖 npm
gulp-if 2.0.2 直接依赖 npm
signal-exit 3.0.2 间接依赖 npm
accepts 1.3.7 间接依赖 npm
socket.io-adapter 1.1.2 间接依赖 npm
num2fraction 1.2.2 间接依赖 npm
lodash.isarray 3.0.4 间接依赖 npm
gulp-sourcemaps 1.6.0 直接依赖 npm
figures 2.0.0 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
commander 2.20.3 间接依赖 npm
clone-stats 0.0.1 间接依赖 npm
v8flags 2.1.1 间接依赖 npm
p-try 1.0.0 间接依赖 npm
which-module 1.0.0 间接依赖 npm
in-publish 2.0.0 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
sequencify 0.0.7 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
cliui 3.2.0 间接依赖 npm
lru-cache 2.7.3 直接依赖 npm
snapdragon 0.8.2 间接依赖 npm
ansi-red 0.1.1 直接依赖 npm
pretty-hrtime 1.0.3 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
uglify-js 3.8.1 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
repeating 2.0.1 间接依赖 npm
form-data 2.3.3 间接依赖 npm
ret 0.1.15 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
ansi-cyan 0.1.1 直接依赖 npm
debug 4.1.1 间接依赖 npm
send 0.16.2 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
strip-bom 2.0.0 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
yargs 6.4.0 间接依赖 npm
repeat-element 1.1.3 间接依赖 npm
kind-of 6.0.2 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
object.omit 2.0.1 间接依赖 npm
node-sass 4.10.0 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
serve-index 1.9.1 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
map-stream 0.0.4 间接依赖 npm
tmp 0.0.33 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
mime-types 2.1.21 间接依赖 npm
resolve-from 1.0.1 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
source-map 0.5.7 间接依赖 npm
cloneable-readable 1.1.2 直接依赖 npm
optionator 0.8.2 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
arraybuffer.slice 0.0.7 间接依赖 npm
jsonfile 6.0.1 间接依赖 npm
filesize 2.0.4 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
lodash._escapestringchar 2.4.1 直接依赖 npm
fast-deep-equal 2.0.1 间接依赖 npm
filename-regex 2.0.1 间接依赖 npm
caniuse-lite 1.0.30001038 间接依赖 npm
glogg 1.0.1 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
caller-path 0.1.0 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
yeast 0.1.2 间接依赖 npm
object-component 0.0.3 间接依赖 npm
is-stream 1.1.0 直接依赖 npm
negotiator 0.6.2 间接依赖 npm
process-nextick-args 2.0.0 间接依赖 npm
color-support 1.1.3 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
@babel/code-frame 7.0.0 间接依赖 npm
rimraf 2.6.2 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
redent 1.0.0 间接依赖 npm
is-promise 2.1.0 间接依赖 npm
aproba 1.2.0 间接依赖 npm
npmlog 4.1.2 间接依赖 npm
dev-ip 1.0.1 间接依赖 npm
hosted-git-info 2.7.1 间接依赖 npm
upath 1.2.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
braces 2.3.2 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
path-exists 2.1.0 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
through 2.3.8 间接依赖 npm
path-key 2.0.1 间接依赖 npm
clean-css 3.4.28 间接依赖 npm
natives 1.1.6 直接依赖 npm
lodash.clonedeep 4.5.0 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
make-error-cause 1.2.2 间接依赖 npm
has-flag 3.0.0 直接依赖 npm
mute-stream 0.0.7 间接依赖 npm
use 3.1.1 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
flagged-respawn 1.0.0 间接依赖 npm
first-chunk-stream 1.0.0 间接依赖 npm
normalize-package-data 2.4.0 间接依赖 npm
caseless 0.12.0 间接依赖 npm
lodash._htmlescapes 2.4.1 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
readable-stream 2.3.6 间接依赖 npm
amdefine 1.0.1 直接依赖 npm
verror 1.10.0 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
gulp 3.9.1 直接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
postcss 7.0.27 间接依赖 npm
finalhandler 1.1.0 间接依赖 npm
normalize-range 0.1.2 间接依赖 npm
progress 2.0.1 间接依赖 npm
scss-tokenizer 0.2.3 间接依赖 npm
espree 4.1.0 间接依赖 npm
localtunnel 1.9.2 间接依赖 npm
socket.io-client 2.3.0 间接依赖 npm
fs-extra 3.0.1 间接依赖 npm
http-proxy 1.15.2 间接依赖 npm
meow 3.7.0 间接依赖 npm
are-we-there-yet 1.1.5 间接依赖 npm
lodash 4.17.11 间接依赖 npm
glob-stream 3.1.18 间接依赖 npm
har-validator 5.1.3 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
spdx-correct 3.0.2 间接依赖 npm
(0)
上一篇 2023年10月27日
下一篇 2023年10月27日

相关推荐

  • aaronc/freactive 软件分析报告

    基础信息 项目名称:aaronc/freactive 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715489233082908672/1715489233124851712 此报告由Murphysec提供 漏…

    软件分析 2023年10月23日
    0
  • GianlucaGuarini/Vague.js 软件分析报告

    基础信息 项目名称:GianlucaGuarini/Vague.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721223111189200896/1726331092887625728 此报告由Murph…

    软件分析 2023年11月20日
    0
  • insidegui/AppearanceMaker 软件分析报告

    基础信息 项目名称:insidegui/AppearanceMaker 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721278289866686464/1723942382497914880 此报告由Murp…

    软件分析 2023年11月13日
    0
  • joshaber/clojurem 软件分析报告

    基础信息 项目名称:joshaber/clojurem 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719263759704047616/1719263759947317248 此报告由Murphysec提供 …

    软件分析 2023年10月31日
    0
  • allwefantasy/streamingpro 软件分析报告

    基础信息 项目名称:allwefantasy/streamingpro 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720547908433281024/1720547908471029760 此报告由Murp…

    软件分析 2023年11月4日
    0